scf0413 发表于 2011-1-3 13:40:11

坐标点的精度如何控制

在拾取坐标时,想把坐标保留到一位小数该怎么表达,望高人指点。

scf0413 发表于 2011-1-3 15:43:31

貌似斑竹不在啊

461045462 发表于 2011-1-4 10:35:09

修改设置就可以了
(command "text" ......... (rtos x 2 1))
(command "text" ........ (rtos y 2 1))

sxpd 发表于 2011-1-4 11:16:36

Math.Round

scf0413 发表于 2011-1-7 16:20:39

帮我看一下坐标保留到一位小数 如何设置? 求高手帮帮忙!

      public void testfunction2()
      {
            Document doc = Application.DocumentManager.MdiActiveDocument;
            Editor ed = doc.Editor;
            Database db = HostApplicationServices.WorkingDatabase;
            SelectionFilter sf = new SelectionFilter(new TypedValue[]{ new TypedValue(0, "Line") });
            PromptSelectionResult psr = ed.GetSelection(sf);
            if (psr.Status != PromptStatus.OK)
                return;
            using (Transaction tr = db.TransactionManager.StartTransaction())
            {
                BlockTableRecord curSpace = tr.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord;
                foreach (ObjectId id in psr.Value.GetObjectIds())
                {
                  Entity ent = tr.GetObject(id, OpenMode.ForRead) as Entity;
                  if (ent.GetType() == typeof(Line))
                  {
                        Line l = ent as Line;
                        Point3d pt1 = l.StartPoint;
                        Point3d pt2 = l.EndPoint;
                        ed.WriteMessage("\n" + pt1 + pt2);
                  }
                  else
                  {

                  }
                  
                }
                tr.Commit();
            }

      }

雪山飞狐_lzh 发表于 2011-1-7 18:14:21

            Point3d pt = new Point3d(12.345,56.567,0);
            ed.WriteMessage("\nPoint:{0:f2}", pt);

scf0413 发表于 2011-1-8 13:51:00

问题解决,感谢飞狐大哥的帮忙
页: [1]
查看完整版本: 坐标点的精度如何控制